Page MenuHomePhabricator

C4. Fix watchlist patrolling rendering for Flow in regular watchlist (works in grouped watchlist)
Closed, ResolvedPublic2 Story Points

Description

I don't think it's actually showing patrolled edits. I think Flow is just not rendering that part of the line.


As a user who combats vandalism by patrolling recent changes to lot of pages, I want to have a clean list of watched pages, where edits patrolled by other users do not show up, so that I can focus on reviewing only unpatrolled edits.

MediaWiki's patrol feature is enabled on ~70 WMF wikis, and allows this filtering of the watchlist by means of the user preference watchlisthidepatrolled, which I keep enabled all the time. However, this feature is broken on Flow talk pages: every single comment stays in the list forever!

On the following screenshot, the only patrolled changes which appear on Special:Watchlist are the ones on Flow pages.

This was originally reported on
https://pt.wikipedia.org/w/index.php?diff=41804589

See also:

Event Timeline

He7d3r created this task.Apr 3 2015, 6:14 PM
He7d3r raised the priority of this task from to Needs Triage.
He7d3r updated the task description. (Show Details)
He7d3r added a subscriber: He7d3r.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 3 2015, 6:14 PM
He7d3r changed the task status from Duplicate to Declined.Apr 6 2015, 6:31 PM
He7d3r claimed this task.
He7d3r added a subscriber: Jbribeiro1.

This is not the same as that bug, since that screenshot shows patrolled edits (i.e., without the "!"mark) from @Jbribeiro1 still in the list.

Mattflaschen-WMF reopened this task as Open.Apr 6 2015, 8:45 PM

Where do you get that this is Declined? We're going to address all of the issues related to patrolling.

In this case, I don't think the omission of the ! actually means it's patrolled. We just haven't implemented that part of the rendering.

I'll rename this to be about patrolled rendering on watchlist, since we have one about RC, but not watchlist.

Mattflaschen-WMF renamed this task from Unable to remove patrolled comments from Special:Watchlist on Flow pages to Fix Flow rendering of patrolling status on watchlist.Apr 6 2015, 8:46 PM
Mattflaschen-WMF removed He7d3r as the assignee of this task.
Mattflaschen-WMF triaged this task as Normal priority.
Mattflaschen-WMF set Security to None.
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF renamed this task from Fix Flow rendering of patrolling status on watchlist to Fix watchlist patrolling status for Flow.Apr 6 2015, 8:48 PM
He7d3r added a comment.Apr 6 2015, 8:56 PM

Uops... I clicked in the wrong option. I was trying to reopen the task.

Mattflaschen-WMF renamed this task from Fix watchlist patrolling status for Flow to Fix watchlist patrolling rendering for Flow.Apr 6 2015, 9:27 PM

Uops... I clicked in the wrong option. I was trying to reopen the task.

Oh, I see. Yeah, it's weird that's the default.

DannyH closed this task as Resolved.Jun 2 2015, 6:00 PM
DannyH claimed this task.
DannyH added a subscriber: DannyH.

Resolved by a previous patrolling ticket, this works on production.

DannyH reopened this task as Open.Jun 2 2015, 6:01 PM

Taking that back -- it works with grouped recent changes, but not with regular RC.

DannyH renamed this task from Fix watchlist patrolling rendering for Flow to Fix watchlist patrolling rendering for Flow in regular RC (works in grouped RC).Jun 2 2015, 6:02 PM
DannyH removed DannyH as the assignee of this task.
DannyH edited a custom field.
DannyH renamed this task from Fix watchlist patrolling rendering for Flow in regular RC (works in grouped RC) to Fix watchlist patrolling rendering for Flow in regular watchlist (works in grouped watchlist).Jun 2 2015, 6:04 PM
DannyH renamed this task from Fix watchlist patrolling rendering for Flow in regular watchlist (works in grouped watchlist) to C4. Fix watchlist patrolling rendering for Flow in regular watchlist (works in grouped watchlist).Jun 3 2015, 7:13 PM
DannyH raised the priority of this task from Normal to High.

Change 215912 had a related patch set uploaded (by Sbisson):
Show unpatrolled flag in watchlist and recent changes

https://gerrit.wikimedia.org/r/215912

Change 216131 had a related patch set uploaded (by Sbisson):
Allow ChangesList::isUnpatrolled to use different change types

https://gerrit.wikimedia.org/r/216131

Change 216131 abandoned by Sbisson:
Allow ChangesList::isUnpatrolled to use different change types

Reason:
This does not make too much sense. NP patrolling for Flow is not clearly defined yet.

https://gerrit.wikimedia.org/r/216131

Change 215912 merged by jenkins-bot:
Show unpatrolled flag in watchlist and recent changes

https://gerrit.wikimedia.org/r/215912

Checked if ! properly displayed for unpatrolled edits/created topics on http://ca.wikipedia.beta.wmflabs.org/ for Watchlist and Recent Changes - grouped/ungrouped.

DannyH closed this task as Resolved.Jun 10 2015, 5:20 PM

works on beta